API ReferenceAg Enforcement
Search AG enforcement actions with filtering, sorting, and paging
Uses Gridify syntax for filtering. Examples:
companyName=*Construction*- company name containscity=Minneapolis- exact city matchorderType=Settlement- filter by order typepenaltyAmount>1000000- penalty greater than $1MorderDate>2022-01-01- orders after date
Order types: Lawsuit, Settlement, Judgment, Consent Decree
Authorization
Bearer AuthorizationBearer <token>
API key passed as a Bearer token. Keys start with sk_live_.
In: header
Query Parameters
Page?integer
Match
^-?(?:0|[1-9]\d*)$Format
int32PageSize?integer
Match
^-?(?:0|[1-9]\d*)$Format
int32OrderBy?string
Filter?string
Response Body
application/json
curl -X GET "https://loading/api/docs-proxy/v1/ag-enforcement"{
"data": [
{
"id": 0,
"companyName": "string",
"dbaNames": [
"string"
],
"individualNames": [
"string"
],
"city": "string",
"state": "string",
"orderType": "string",
"actionsTaken": [
"string"
],
"penaltyAmount": 0,
"stayedAmount": 0,
"orderDate": "2019-08-24",
"violationTypes": [
"string"
],
"title": "string",
"lede": "string",
"sourceUrl": "string",
"matchedLicenses": [
"string"
],
"contractorMatches": [
{
"id": 0,
"licenseNumber": "string",
"licenseName": "string",
"matchScore": 0,
"matchMethod": "string",
"matchConfidence": "string",
"isVerified": true,
"tier": "string",
"verificationSignals": "string",
"candidateCount": 0
}
]
}
],
"page": 0,
"pageSize": 0,
"totalCount": 0,
"totalPages": 0
}